"use strict";
/*!
 * name: @jswork/styled-debug-normalize
 * description: Debug normalize for styled debug.
 * homepage:
 * version: 1.0.1
 * date: 2021-07-11 11:50:36
 * license: MIT
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
debug:#ccc@3
debug:red@3
debug:@3
 */
var next_sample_1 = __importDefault(require("@jswork/next-sample"));
var COLORS = ['#004FC0', '#E01FAD', '#FF7100', '#137A19', '#70AC00', '#0070c0', '#20C281'];
exports.default = (function (inValue) {
    if (!inValue)
        return {};
    var sampleColor = next_sample_1.default(COLORS);
    var ifeTruthy = inValue === true;
    if (ifeTruthy)
        return { color: sampleColor, width: 1 };
    var ifeExistAt = inValue.includes('@');
    if (!ifeExistAt)
        return { color: sampleColor, width: 1 };
    var _a = inValue.split('@'), color = _a[0], width = _a[1];
    return { color: color || sampleColor, width: parseInt(width) };
});
