/*!
 * name: @jswork/styled-debug-normalize
 * description: Debug normalize for styled debug.
 * homepage:
 * version: 1.0.1
 * date: 2021-07-11 11:50:39
 * license: MIT
 */
/**
debug:#ccc@3
debug:red@3
debug:@3
 */
import nxSample from '@jswork/next-sample';
var COLORS = ['#004FC0', '#E01FAD', '#FF7100', '#137A19', '#70AC00', '#0070c0', '#20C281'];
export default (function (inValue) {
    if (!inValue)
        return {};
    var sampleColor = nxSample(COLORS);
    var ifeTruthy = inValue === true;
    if (ifeTruthy)
        return { color: sampleColor, width: 1 };
    var ifeExistAt = inValue.includes('@');
    if (!ifeExistAt)
        return { color: sampleColor, width: 1 };
    var _a = inValue.split('@'), color = _a[0], width = _a[1];
    return { color: color || sampleColor, width: parseInt(width) };
});
